MonitorSettingException (Java Platform SE 8 )
Keywords: javax.management.monitor.MonitorSettingException class
Date: 2026-06-25

compact3
javax.management.monitor

## Class MonitorSettingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException
        - - javax.management.monitor.MonitorSettingException

- All Implemented Interfaces:
    Serializable

      public class MonitorSettingException
      extends JMRuntimeException

  Exception thrown by the monitor when a monitor setting becomes invalid while the monitor is running.

  As the monitor attributes may change at runtime, a check is performed before each observation. If a monitor attribute has become invalid, a monitor setting exception is thrown.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorSettingException()` Default constructor.
    `MonitorSettingException(String message)` Constructor that allows an error message to be specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorSettingException

          public MonitorSettingException()

      Default constructor.

    - #### MonitorSettingException

          public MonitorSettingException(String message)

      Constructor that allows an error message to be specified.
      Parameters:
        `message` - The specific error message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.